import { PropType } from 'vue';

export const titleProps = {
  title: {
    type: String,
    required: true
  },
  width: {
    type: Number,
  },
  height: {
    type: Number,
  },
  fontSize: {
    type: Number,
  },
  fontWeight: {
    type: [Number, String],
  },
  color: {
    type: String,
  },
  backgroundColor: {
    type: String,
  },
  textAlign: {
    type: String,
  },
  direction: {
    type: String as PropType<'horizontal' | 'vertical'>,
  }
}

export const defaultPropsValue = {
  title: '标题',
  width: 300,
  height: 80,
  fontSize: 24,
  color: '#fff',
  backgroundColor: 'none',
}